import React, { useState } from 'react'
import isMobile from '../../utils/isMobile'
import A5Mobile from '../A5Mobile'
import A4base from '../A4base'
import styles from './index.module.scss'
function A0base() {
  const [show, setShow] = useState(true)
  return (
    <>
      {/* 初始封面 */}
      {isMobile() ? (
        <A5Mobile show={show} setShow={setShow} />
      ) : (
        <A4base show={show} setShow={setShow} />
      )}
    </>
  )
}

const MemoA0base = React.memo(A0base)

export default MemoA0base
